Bug 1085310 - [CSB] anaconda doesn't initialize network without specifying network --device option when installing from kickstart on media
Summary: [CSB] anaconda doesn't initialize network without specifying network --device...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
: 1253621 (view as bug list)
Depends On:
Blocks: 1186677
TreeView+ depends on / blocked
 
Reported: 2014-04-08 10:55 UTC by Daniel Mach
Modified: 2015-11-19 09:46 UTC (History)
3 users (show)

Fixed In Version: anaconda-21.48.22.43-1
Doc Type: Known Issue
Doc Text:
Network devices are not automatically enabled during installation unless the installation method requires network connectivity. As a consequence, a traceback error can occur during Kickstart installation due to inactive network devices. To work around this problem, set the ksdevice=link option on boot or add the --device=link option to the ks.cfg file to enable network devices with active links during Kickstart installation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 09:46:38 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2284 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2015-11-19 09:44:49 UTC

Description Daniel Mach 2014-04-08 10:55:38 UTC
Problem:
anaconda doesn't initialize network when installing from kickstart on media

Reproducer:
Place a kickstart file (ks.cfg) on installation media.
Use following network settings:
network --bootproto=dhcp --activate

Add following to isolinux.cfg:
ks=hd:LABEL=<LABEL>:/ks.cfg

Result:
no network available

Expected :
network available


More details:

parse-anaconda-net.sh :
        link)
            warn "'ksdevice=link' does nothing (it's the default behavior)"

^^ this is obviously *not* a default.
Setting ksdevice=link activates network on boot.

Comment 1 Radek Vykydal 2014-04-08 11:49:58 UTC
The warning message is wrong.

By default anaconda does not activate any network device if it is not needed in initramfs.

Adding --device=link to kickstart network command, ie:

network --bootproto=dhcp --activate --device=link

should work.

Comment 4 Radek Vykydal 2015-04-09 08:52:22 UTC
We might be able to fix this bug by assuming ksdevice=link, but we need to be careful here and check that this assumption doesn't introduce regressions breaking some other scenarios. Also, we'll need to look for a device with link in dracut environment in parse-kickstart.

Comment 6 Radek Vykydal 2015-05-26 13:50:22 UTC
I posted a patch for review. New behaviour:

1) fixed --device=link option
2) if --device is missing
   a) use ksdevice boot option if set
   b) assume --device=link if ksdevice is not set
3) keep possibility to configure only hostname without configuring a device, ie for
network --hostname=blah
   a) if ksdevice is present, configure the device with defaults
   b) if not, just set the hostname, ie we don't assume --device=link in this case

Comment 8 Brian Lane 2015-08-14 18:36:06 UTC
*** Bug 1253621 has been marked as a duplicate of this bug. ***

Comment 9 Brian Lane 2015-08-14 18:51:38 UTC
Proposed patches - https://github.com/rhinstaller/anaconda/pull/298

Comment 13 Michal Kovarik 2015-08-28 12:35:47 UTC
Yes, installation with updates.devicelink.img activates network.

Comment 17 errata-xmlrpc 2015-11-19 09:46:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2284.html


Note You need to log in before you can comment on or make changes to this bug.